import os
import sys
from datetime import datetime, timedelta
from typing import Optional



sys.path.append(os.getcwd())
from datetime import datetime
from common import MysqlHelper


class sqlCollect():
    """
    判断该任务id是否用过
    """
    @classmethod
    def is_used(cls, photo_id):
        sql = """
            SELECT photo_id
            FROM ks_category_video
            WHERE photo_id = %s  
        """
        data = MysqlHelper.get_values(sql, (str(photo_id)))
        if len(data) == 0 or data == ():
            return False
        return True

    @classmethod
    def insert_ks_data(cls, user_name: str, user_sex: str, time_data, caption: str, view_count: str, like_count: str, share_count: str, duration: str, main_mv_url: str, thumbnail_url: str, user_id: str, status: str, photo_id: str,  category_name: str, age: Optional[str] = None, oss_object: Optional[str] = None, video_uid: Optional[str] = None):
        current_time = datetime.now()
        formatted_time = current_time.strftime("%Y-%m-%d %H:%M:%S")
        insert_sql = f"""INSERT INTO ks_category_video (user_name, user_sex, time_data, caption, view_count, like_count, share_count, duration, main_mv_url, thumbnail_url, user_id, status, age_proportion, video_oss_path, pq_video_id, update_time, photo_id, category_name) values ("{user_name}", "{user_sex}", "{time_data}", "{caption}", "{view_count}", "{like_count}", "{share_count}", "{duration}", "{main_mv_url}", "{thumbnail_url}", "{user_id}", "{status}", "{age}", "{oss_object}", "{video_uid}", "{formatted_time}", "{photo_id}", "{category_name}")"""
        res = MysqlHelper.update_values(
            sql=insert_sql
        )
        print(res)
