import time
from datetime import datetime

import schedule

from channel_ks.ks_feed_list import KsFeedVideo

def video_start():
    current_time = datetime.now()
    formatted_time = current_time.strftime("%Y-%m-%d %H:%M:%S")
    print(f"开始执行：{formatted_time}")
    KsFeedVideo.get_data()
    print(f"执行结束：{formatted_time}")


schedule.every(1).hours.do(video_start)
KsFeedVideo.get_data()

while True:
    schedule.run_pending()
    time.sleep(1)